GNU bug report logs - #35609
26.2; wdired-finish-edit clears find-dired listing

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Alvaro Ramirez <alvaro@HIDDEN>; dated Mon, 6 May 2019 21:20:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35609 <at> debbugs.gnu.org:


Received: (at 35609) by debbugs.gnu.org; 15 Jul 2019 18:37:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 14:37:38 2019
Received: from localhost ([127.0.0.1]:49076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn5qz-0005t4-Ul
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 14:37:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47904)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <winkler@HIDDEN>) id 1hn5qy-0005sm-4u
 for 35609 <at> debbugs.gnu.org; Mon, 15 Jul 2019 14:37:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54007)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <winkler@HIDDEN>)
 id 1hn5qr-0001hM-V9; Mon, 15 Jul 2019 14:37:30 -0400
Received: from dyndsl-091-096-196-205.ewe-ip-backbone.de
 ([91.96.196.205]:46410 helo=regnitz)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <winkler@HIDDEN>)
 id 1hn5qr-0004Hp-8W; Mon, 15 Jul 2019 14:37:29 -0400
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <51165.94861.998973.23852@HIDDEN>
Date: Mon, 15 Jul 2019 13:37:17 -0500
From: "Roland Winkler" <winkler@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#35609: 26.2; wdired-finish-edit clears find-dired listing
In-Reply-To: <87muhfb3t1.fsf@HIDDEN>
References: <m2a7g4udx6.fsf@HIDDEN> <87k1crewp3.fsf@HIDDEN>
 <87sgr7tvo5.fsf@HIDDEN> <87muhfb3t1.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 35609
Cc: Alvaro Ramirez <alvaro@HIDDEN>,
 Stephen Berman <stephen.berman@HIDDEN>, 35609 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Mon Jul 15 2019 Lars Ingebrigtsen wrote:
> Yes, I think you're right -- removing that beginning-of-line is the
> correct thing, no matter what.

Agreed.  (These parts of my recent changes were my attempt to
streamline / simplify these parts of the code.  If some part of my
new code doesn't do what it needs to do, it means that I overlooked
something.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35609; Package emacs. Full text available.

Message received at 35609 <at> debbugs.gnu.org:


Received: (at 35609) by debbugs.gnu.org; 15 Jul 2019 17:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 13:34:05 2019
Received: from localhost ([127.0.0.1]:48946 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hn4rU-0005pp-Lj
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 13:34:04 -0400
Received: from quimby.gnus.org ([80.91.231.51]:45916)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hn4rQ-0005pL-Ee
 for 35609 <at> debbugs.gnu.org; Mon, 15 Jul 2019 13:34:03 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=sandy)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hn4rE-0001eM-5Q; Mon, 15 Jul 2019 19:33:56 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#35609: 26.2; wdired-finish-edit clears find-dired listing
References: <m2a7g4udx6.fsf@HIDDEN> <87k1crewp3.fsf@HIDDEN>
 <87sgr7tvo5.fsf@HIDDEN>
Date: Mon, 15 Jul 2019 19:33:46 +0200
In-Reply-To: <87sgr7tvo5.fsf@HIDDEN> (Stephen Berman's message of "Mon, 15
 Jul 2019 12:54:34 +0200")
Message-ID: <87muhfb3t1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stephen Berman <stephen.berman@HIDDEN> writes: > -
 (forward-line)
 > - (beginning-of-line))))) > + (forward-line))))) > > (defun
 wdired-get-previous-link
 (&optional old move) > > These lines are at the end of a while (not (eobp))
 loop and, unless I [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35609
Cc: Alvaro Ramirez <alvaro@HIDDEN>, 35609 <at> debbugs.gnu.org,
 Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stephen Berman <stephen.berman@HIDDEN> writes:

> -        (forward-line)
> -	(beginning-of-line)))))
> +        (forward-line)))))
>
>  (defun wdired-get-previous-link (&optional old move)
>
> These lines are at the end of a while (not (eobp)) loop and, unless I'm
> overlooking something, prior to the change to find-dired-sentinel, the
> use of beginning-of-line here was a noop, since forward-line always puts
> point at BOL -- except when the buffer doesn't end with a newline, and
> that's why the change to find-dired-sentinel caused the find-dired hang.
> Thus, reverting the above three lines of the find-dired-sentinel change
> makes beginning-of-line in wdired-preprocess-symlinks strictly a noop,
> while retaining that change makes calling beginning-of-line harmful, so
> in any case that call should removed.  Or does anyone see a problem with
> that?

Yes, I think you're right -- removing that beginning-of-line is the
correct thing, no matter what.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35609; Package emacs. Full text available.

Message received at 35609 <at> debbugs.gnu.org:


Received: (at 35609) by debbugs.gnu.org; 15 Jul 2019 10:54:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 15 06:54:52 2019
Received: from localhost ([127.0.0.1]:46542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hmydA-0000W5-4V
	for submit <at> debbugs.gnu.org; Mon, 15 Jul 2019 06:54:52 -0400
Received: from mout.gmx.net ([212.227.15.18]:37929)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stephen.berman@HIDDEN>) id 1hmyd8-0000Vn-7N
 for 35609 <at> debbugs.gnu.org; Mon, 15 Jul 2019 06:54:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1563188077;
 bh=9NoIewCMBzMAAHHdPiAjqZGBOGX1uQwiDjgFDEwSqG4=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date;
 b=CTNOQXs2tijJ52vI6gTvVoIaDueg+ECCfxFSbYWr0TuLO0/NNhjUCV52YSnF7ahKf
 D21/FRNAlWlD7VgCrIOQf7c6xLDcOZmJ9Bkzk2Im7Gkoxfe/RknHCNUlxehCa8LXLB
 Jjn9/T9T34+u/vBMDwrnZDHeV7H81kkFljYYM+qY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from strobe-lfs84 ([188.101.20.117]) by mail.gmx.com (mrgmx003
 [212.227.17.190]) with ESMTPSA (Nemesis) id 0MaqqY-1i2qW63APi-00KRlZ; Mon, 15
 Jul 2019 12:54:36 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#35609: 26.2; wdired-finish-edit clears find-dired listing
References: <m2a7g4udx6.fsf@HIDDEN> <87k1crewp3.fsf@HIDDEN>
Date: Mon, 15 Jul 2019 12:54:34 +0200
Message-ID: <87sgr7tvo5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:xln4rA2I3fmQf2+7dyQuGk/8XEz6QJ/1koH7jzUjnLGtTddI1MT
 etpXPnrOi96aOWPJN7z984+WNqdBR8ZC2A20oZALSrICDQJ8C5YpLayXwxIzO48scc+THAu
 pgiY/OV//vqoayUiwchegwukObM84c+vEvsfbEgg7HodTZioeHiX2crLA8tIhVqZJIY+BgT
 2brd8kDE/+1gZ3GpusnhA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:/sq3iFbzU5M=:xopuhVKrbGaHFl4qURHv/C
 b39SAJa6/6yigEMm+IcZfG9ogE/JN2Legpk0+D1YaFBpUQET3am1GR1hxD+LjSS4xEU9qFCKc
 wIp4hhBxikWMNPEJY4hdw8vJ1LP2AX2dZ8OP2zhKp2kv80ThAc7tHI1SbAvwDalIX5oq6FdTB
 C3I+S0rojJNLjN4ghGVY1/3iS8PkFmxjvBpNADU8m9rQhlFLLm0GfPeeph9Q3XaZwiaR3RVpc
 bH74BK7mqvykChFmKaPNHZ4Pdoqy8+cSh/jnj6+TMuDR9thm/2aic5qnQxiwHp2rXfqGfClsV
 iK20sRw09MuCMlAIgjisGjfe6Xg9tdn1fajV3VeOHdgLQsYh7DfAfhtVwRlqQxsPsmkYopXjd
 YjufJpBnb3AwGD758j64xbtCaiiNCekdf8U91vV/p05lNrnocuz6vaJVVxJ2By5jCb56y+k9B
 nRWOvA/RfEm6siMSDjjptGjoan5clW3XLMT9Vi1HgtClBnXPncThKZF4zzIEnVJaoLaHnUYDz
 ob2kDzQdnDJ33iAvyY0D4nCQbH7vthK8+gXM64LvIWtaZdIPye/2C+M+/bAR7+xWc35iWyeV2
 pSnFgXiy2NGjmkPWpIXYJzobFKZi09yfeeUfw16n8kFd0VYvK9ki6X+UmOJalnbjMNl6KDVVC
 lpQJWkM6HMLbrK4bDNiTqDEl8KM5kplz083UBM/aBYIO3ghrPOUuDkySoHLJlW27BKneGo/3b
 ET3wfIYf8/FPg9o2H6zn0v6chETdKgziHjB1AP50l2J6PXxlTopyYpU1rQGVfuOz0VMBeYAY0
 gyA7zxyYT11r1w6MMjxwa0B4/eDZNKT/rRj6m2yctScs5FtTYigjmjDk62M3+p2Qeyk1u6IAr
 cI/LdJQy5Tj2kZJgWy3w9AoPWJzuAvVYz0/Y9q5nCszQ90s87BWDVrKMrHEh9znIT1DzHoW5e
 UDeItDJh61uIRTU+n5R4jufdsH/RqdiFJfX5mCVctR/Ci4pk1hjmCobO4jnPKeugg/YPihcOz
 ZHGW/cbfBls8lFy2bPs3OYFiJ4Eo0WypDBHwKuH3sz0gh7M7LhBFySvMPIeTU4guwm5e0BmKp
 YjxS5pR7ErNvznhrCuAF5Z9S72ZzP8iSLo0
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35609
Cc: Alvaro Ramirez <alvaro@HIDDEN>, 35609 <at> debbugs.gnu.org,
 Roland Winkler <winkler@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, 09 Jul 2019 05:03:20 +0200 Lars Ingebrigtsen <larsi@HIDDEN> wrot=
e:

> Alvaro Ramirez <alvaro@HIDDEN> writes:
>
>> Editing a find-dired buffer (via wdired) clears the list of files after
>> saving changes.
>>
>> Steps:
>>
>> 1. M-x find-dired RET
>> 2. RET (empty or any find args should do)
>> 3. C-x C-q (dired-toggle-read-only)
>
> In Emacs 27 (on GNU/Linux), it hangs there in
>
> Debugger entered--Lisp error: (quit)
>   looking-at("^. [0-9 \11]*[.,0-9]*[BkKMGTPEZY]?[ \11]*l[^:]")
>   wdired-preprocess-symlinks()
>
> So there's been further regressions in this area, I guess...

I don't have a fix for the find-dired listing being cleared, but the
hang is due to this change:

commit 249902d5ad5d3ae3e25323c23a2f442913729ceb
Author: Roland Winkler <winkler@HIDDEN>
Date:   Tue Jun 11 16:04:45 2019 -0500

    Allow refining the *Find* buffer of find-dired. (Bug#29513)

    * find-dired.el (find-dired-refine-function): New user variable.
    (find-dired-sentinel): Use it.  Simplify.
    (find-dired-sort-by-filename): New function.

Specifically, the change in find-dired-sentinel from this:

-		(insert "\n  find " state)
-		(forward-char -1)		;Back up before \n at end of STATE.
-		(insert " at " (substring (current-time-string) 0 19))

to this:

+                  (insert "\n  find "
+                          (substring state 0 -1) ; omit \n at end of STAT=
E.
+                          " at " (substring (current-time-string) 0 19))

Reverting this change (i.e. just these three lines) prevents the hang,
but it's not clear to me whether this was just meant to simplify the
code, as stated in the ChangeLog, or omitting the final newline is
needed for some find-dired use case.  Roland, can you elucidate?

However, independently of reverting or retaining the above lines, the
hang can also be prevented by changing wdired-preprocess-symlinks thus:

diff --git a/lisp/wdired.el b/lisp/wdired.el
index 0ccaaaca74..44f083bb7f 100644
=2D-- a/lisp/wdired.el
+++ b/lisp/wdired.el
@@ -677,8 +677,7 @@ wdired-preprocess-symlinks
 				 'rear-nonsticky '(read-only))
 	      (put-text-property (match-beginning 1)
 				 (match-end 1) 'read-only nil)))
-        (forward-line)
-	(beginning-of-line)))))
+        (forward-line)))))


 (defun wdired-get-previous-link (&optional old move)

These lines are at the end of a while (not (eobp)) loop and, unless I'm
overlooking something, prior to the change to find-dired-sentinel, the
use of beginning-of-line here was a noop, since forward-line always puts
point at BOL -- except when the buffer doesn't end with a newline, and
that's why the change to find-dired-sentinel caused the find-dired hang.
Thus, reverting the above three lines of the find-dired-sentinel change
makes beginning-of-line in wdired-preprocess-symlinks strictly a noop,
while retaining that change makes calling beginning-of-line harmful, so
in any case that call should removed.  Or does anyone see a problem with
that?

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35609; Package emacs. Full text available.

Message received at 35609 <at> debbugs.gnu.org:


Received: (at 35609) by debbugs.gnu.org; 9 Jul 2019 03:44:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 23:44:27 2019
Received: from localhost ([127.0.0.1]:60167 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkh3L-0002ps-G4
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 23:44:27 -0400
Received: from quimby.gnus.org ([80.91.231.51]:39190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkh3I-0002pZ-K0
 for 35609 <at> debbugs.gnu.org; Mon, 08 Jul 2019 23:44:25 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkgPZ-0008P5-8Q; Tue, 09 Jul 2019 05:03:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Alvaro Ramirez <alvaro@HIDDEN>
Subject: Re: bug#35609: 26.2; wdired-finish-edit clears find-dired listing
References: <m2a7g4udx6.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 05:03:20 +0200
In-Reply-To: <m2a7g4udx6.fsf@HIDDEN> (Alvaro Ramirez's message of "Fri, 
 03 May 2019 09:42:45 +0100")
Message-ID: <87k1crewp3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Alvaro Ramirez <alvaro@HIDDEN> writes: > Editing a
 find-dired
 buffer (via wdired) clears the list of files after > saving changes. > >
 Steps: > > 1. M-x find-dired RET > 2. RET (empty or any find args should do)
 > 3. C-x C-q (dired-toggle- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35609
Cc: 35609 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Alvaro Ramirez <alvaro@HIDDEN> writes:

> Editing a find-dired buffer (via wdired) clears the list of files after
> saving changes.
>
> Steps:
>
> 1. M-x find-dired RET
> 2. RET (empty or any find args should do)
> 3. C-x C-q (dired-toggle-read-only)

In Emacs 27 (on GNU/Linux), it hangs there in

Debugger entered--Lisp error: (quit)
  looking-at("^. [0-9 \11]*[.,0-9]*[BkKMGTPEZY]?[ \11]*l[^:]")
  wdired-preprocess-symlinks()

So there's been further regressions in this area, I guess...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35609; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2019 21:20:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 17:20:02 2019
Received: from localhost ([127.0.0.1]:57622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hNl1l-0002TX-Ba
	for submit <at> debbugs.gnu.org; Mon, 06 May 2019 17:20:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46644)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alvaro@HIDDEN>) id 1hNkxz-0002Md-F1
 for submit <at> debbugs.gnu.org; Mon, 06 May 2019 17:16:09 -0400
Received: from lists.gnu.org ([209.51.188.17]:45524)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alvaro@HIDDEN>) id 1hNkxu-0000zx-2y
 for submit <at> debbugs.gnu.org; Mon, 06 May 2019 17:16:02 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32787)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <alvaro@HIDDEN>) id 1hNkxs-0006KV-Nw
 for bug-gnu-emacs@HIDDEN; Mon, 06 May 2019 17:16:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <alvaro@HIDDEN>) id 1hNkxp-0000tA-7x
 for bug-gnu-emacs@HIDDEN; Mon, 06 May 2019 17:15:59 -0400
Received: from out.migadu.com ([91.121.223.63]:42454)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <alvaro@HIDDEN>) id 1hNkxd-0000VB-0b
 for bug-gnu-emacs@HIDDEN; Mon, 06 May 2019 17:15:50 -0400
Received: (Migadu outbound); Mon, 06 May 2019 21:15:36 +0000
Authentication-Results: out.migadu.com; auth=pass (plain)
Received: from taiyaki.local
 (cpc109285-mort7-2-0-cust98.19-2.cable.virginm.net [82.25.18.99])
 by out.migadu.com (Haraka/2.8.16) with ESMTPSA id
 85CF6CCE-9B31-4156-9B1E-B00B2631A409.1
 envelope-from <alvaro@HIDDEN> (authenticated bits=0)
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES256-GCM-SHA384 verify=FAIL);
 Mon, 06 May 2019 21:15:36 +0000
User-agent: mu4e 1.2.0; emacs 26.2
From: Alvaro Ramirez <alvaro@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2; wdired-finish-edit clears find-dired listing
Date: Fri, 03 May 2019 09:42:45 +0100
Message-ID: <m2a7g4udx6.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
DKIM-Signature: v=1; a=rsa-sha256;
 bh=xfDOqYvEym1292gOjgJ8DG9n/269ToSmfFhyB9VgZxk=; c=relaxed/simple;
 d=xenodium.com; h=from:subject:date:to; s=default;
 b=gK8UJxtM7wAgI2HKXUXQwcVStc3zVBKUrJljBGhbZnr1yaq0m0IndPZ23iFT5siQ7meR+4cdVLFyrKAJPymgbSwFxKtsg30J6Xq25KxlDVvZygKp2AHx6x2A/WDx9u7ESfjah/Y2WuuGwOmkZQdajjOqRqJwxQ5hPAtgMvdh380=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 91.121.223.63
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 06 May 2019 17:20:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Editing a find-dired buffer (via wdired) clears the list of files after
saving changes.

Steps:

1. M-x find-dired RET
2. RET (empty or any find args should do)
3. C-x C-q (dired-toggle-read-only)
4. Rename any file.
5. C-c C-c (wdired-finish-edit)

Expected behavior: All files listed by find command should be listed in dired buffer.

Actual behavior: No files are listed.

More info: `revert-buffer-function' originally set by `find-dired' may
be lost by wdired when switching between wdired and dired mode.


In GNU Emacs 26.2 (build 1, x86_64-apple-darwin18.5.0, NS appkit-1671.40 Version 10.14.4 (Build 18E227))
 of 2019-05-03 built on taiyaki.local
Windowing system distributor 'Apple', version 10.3.1671
Recent messages:
find-dired *Find* finished.
Press C-c C-c when finished or C-c ESC to abort changes
Making completion list... [4 times]
user-error: Previous command was not a yank [2 times]
Quit [3 times]
Making completion list...
uncompressing wdired.el.gz...done
Mark saved where search started [2 times]
Mark set
Making completion list...

Configured using:
 'configure --disable-dependency-tracking --disable-silent-rules
 --enable-locallisppath=some/path/share/emacs/site-lisp
 --infodir=some/path/Cellar/emacs-plus/26.2/share/info/emacs
 --prefix=some/path/Cellar/emacs-plus/26.2 --with-xml2
 --without-dbus --with-gnutls --with-imagemagick --with-modules
 --with-rsvg --with-ns --disable-ns-self-contained'

Configured features:
JPEG RSVG IMAGEMAGICK GLIB NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS LCMS2

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr jka-compr thingatpt find-func emacsbug message
rmc puny format-spec rfc822 mml mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired-aux wdired shell
pcomplete comint ansi-color ring find-dired misearch multi-isearch
vc-git diff-mode easymenu easy-mmode map seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs elec-pair
time-date tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 221588 12374)
 (symbols 48 21417 1)
 (miscs 40 78 428)
 (strings 32 33343 1439)
 (string-bytes 1 907133)
 (vectors 16 37119)
 (vector-slots 8 753205 10098)
 (floats 8 52 262)
 (intervals 56 1173 16)
 (buffers 992 17))




Acknowledgement sent to Alvaro Ramirez <alvaro@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35609; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 15 Jul 2019 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.